<?php

/* DCMS Special
 * Дата последнего редактирования 06.10.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

only_reg();
$set['title'] = lang('Настройки приватности');
include_once H . 'sys/inc/thead.php';

err();
aut();


switch ((isset($_GET['m'])) ? htmlspecialchars($_GET['m']) : null) {
    default:
        #Навигация
        echo "<div class='list-group-item-null list-group-item-grey'><small>";
        echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/?umenu'>" . lang('Кабинет') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/user/settings/'>" . lang('Настройки') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo lang('Приватность');
        echo "</small></div><br />";

        if (isset($_GET['ank'])) {
            echo "<div class='list-group-item-null'>";
            echo "<ul class='nav nav-pills'>";
            echo "<li class='nav-item'><a class='nav-link' href='private.php?m=private'>" . lang('Профиль') . "</a></li>";
            echo "<li class='nav-item'><a class='nav-link active'>" . lang('Анкета') . "</a></li>";
            echo "</ul>";
            echo "</div>";

            if (isset($_POST['anketa'])) {
                if (in_array($_POST['access'], array('all', 'only_me', 'friends', 'pass'))) {
                    $access = $_POST['access'];
                } else {
                    $access = 'all';
                }
                if ($access == 'pass') {
                    if (utf8_strlen($_POST['passwd']) < 1) {
                        $err[] = 'Введите пароль.';
                    }
                    if (utf8_strlen($_POST['passwd']) > 16) {
                        $err[] = 'Пароль слишком длинный.';
                    }
                    $password = $_POST['passwd'];
                } else {
                    $password = NULL;
                }

                if (!isset($err)) {
                    $db->query("UPDATE `user` SET `anketa_access` = '$access', `anketa_password` = '" . $db->safesql($password) . "' WHERE `id` = '$user[id]'");
                    $_SESSION['message'] = lang("Изменения сохранены");
                    header("Location: private.php?m=private&ank" . SID);
                    exit;
                }
            }

            if (!isset($user)) {
                err('Доступ закрыт гостям');
            } else {
                echo "<form class='list-group-item-null list-group-item-grey' action='private.php?m=private&amp;ank' method='POST'>";
                echo "<b>" . lang('Кому доступна моя анкета') . "?</b><br />";

                $doc->Radio('access', 'Всем', 'all', "" . ($user['anketa_access'] == 'all' ? " checked='checked'" : null) . "", 'globe');
                $doc->Radio('access', 'Только мне', 'only_me', "" . ($user['anketa_access'] == 'only_me' ? " checked='checked'" : null) . "", 'lock');
                $doc->Radio('access', 'Только друзьям', 'friends', "" . ($user['anketa_access'] == 'friends' ? " checked='checked'" : null) . "", 'users');
                $doc->Radio('access', 'Только по паролю', 'pass', "" . ($user['anketa_access'] == 'pass' ? " checked='checked'" : null) . "", 'key');

                echo lang('Пароль') . "<br />";
                echo "<input name='passwd' length='16' type='text' value='" . htmlspecialchars($user['anketa_password']) . "' class='form-control'><br />";

                $doc->Button('btn btn-success btn-sm', 'anketa', 'save', 'Сохранить');

                echo "</form>";

                require_once H . 'sys/inc/tfoot.php';
                exit();
            }
        }

        if (!isset($user)) {
            err('Доступ закрыт гостям');
        } else {
            echo "<div class='list-group-item-null'>";
            echo "<ul class='nav nav-pills'>";
            echo "<li class='nav-item'><a class='nav-link active'>" . lang('Профиль') . "</a></li>";
            echo "<li class='nav-item'><a class='nav-link' href='private.php?m=private&amp;ank'>" . lang('Анкета') . "</a></li>";
            echo "</ul>";
            echo "</div>";

            if (isset($_POST['profile'])) {
                if (in_array($_POST['access'], array('all', 'only_me', 'friends', 'pass'))) {
                    $access = $_POST['access'];
                } else {
                    $access = 'all';
                }
                if ($access == 'pass') {
                    if (utf8_strlen($_POST['passwd']) < 1) {
                        $err[] = 'Введите пароль.';
                    }
                    if (utf8_strlen($_POST['passwd']) > 16) {
                        $err[] = 'Пароль слишком длинный.';
                    }
                    $password = $_POST['passwd'];
                } else {
                    $password = NULL;
                }

                if (!isset($err)) {
                    $db->query("UPDATE `user` SET `profile_access` = '$access', `profile_password` = '" . $db->safesql($password) . "' WHERE `id` = '$user[id]'");
                    $_SESSION['message'] = lang("Изменения сохранены");
                    header("Location: private.php?m=private" . SID);
                    exit;
                }
            }

            if (!isset($user)) {
                err('Доступ закрыт гостям');
            } else {
                echo "<form class='list-group-item-null list-group-item-grey' action='private.php?m=private' method='POST'>";
                echo "<b>" . lang('Кому доступен мой профиль') . "?</b><br />";

                $doc->Radio('access', 'Всем', 'all', "" . ($user['profile_access'] == 'all' ? " checked='checked'" : null) . "", 'globe');
                $doc->Radio('access', 'Только мне', 'only_me', "" . ($user['profile_access'] == 'only_me' ? " checked='checked'" : null) . "", 'lock');
                $doc->Radio('access', 'Только друзьям', 'friends', "" . ($user['profile_access'] == 'friends' ? " checked='checked'" : null) . "", 'users');
                $doc->Radio('access', 'Только по паролю', 'pass', "" . ($user['profile_access'] == 'pass' ? " checked='checked'" : null) . "", 'key');

                echo lang('Пароль') . "<br />";
                echo "<input name='passwd' length='16' type='text' value='" . htmlspecialchars($user['profile_password']) . "' class='form-control'><br />";

                $doc->Button('btn btn-success btn-sm', 'profile', 'save', 'Сохранить');
                echo "</form>";
            }
        }

        break;
}

include_once H . 'sys/inc/tfoot.php';
